// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "GameFramework/Actor.h"
#include "SplineNode.generated.h"

class USplineComponent;

const uint8 bClassic = 0b00;
const uint8 bInverted = 0b01;
const uint8 bDualSens = 0b10;

class SplineHolder
{
	SplineHolder()
	{
		Spline = nullptr;
		Direction = bDualSens;
	}

	USplineComponent*	Spline;
	uint8				Direction : 3;
};

UCLASS()
class TUTOBEGGINER_API ASplineNode : public AActor
{
	GENERATED_BODY()
	
public:	
	// Sets default values for this actor's properties
	ASplineNode();

protected:
	// Called when the game starts or when spawned
	virtual void BeginPlay() override;

public:	
	TArray<SplineHolder> Splines;
};
